
Redmine - Defect #7083

Moving a ticket results in invalid assignee

2010-12-08 22:52 - Will Moss

Status: New Start date: 2010-12-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

If you move a ticket to a project where the previous assignee isn't a valid assignee it leaves that user as the assignee instead of

clearing it.  Since the old assignee doesn't exist in the assignee drop down for the current project, it's impossible to assign that task

to nobody.

History

#1 - 2010-12-09 14:10 - Ivan Cenov

Hi,

I think this may be resolved with user intercation. When Redmine discovers that the asignee does not exist in the destination project a dialog could

pop up, where the user may choose one from:

1. Reassign the issue to another existing user in the destination project (a selection list should be given) and move the issue.

2. Unassign the assignee (leave the issue not assigned) and move the issue.

3. Include the existing assignee in the destination project and move the issue.

4. Cancel operation (and make the user re-think his/her intentions).

Ivan

#2 - 2010-12-10 02:40 - Mischa The Evil

- Category set to Issues

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.tcpdf.org

